{
  "schema_version": "1.4.0",
  "id": "GHSA-v9w7-r2r2-67qg",
  "modified": "2025-04-09T03:43:33Z",
  "published": "2022-05-01T18:09:01Z",
  "aliases": [
    "CVE-2007-2949"
  ],
  "details": "Integer overflow in the seek_to_and_unpack_pixeldata function in the psd.c plugin in Gimp 2.2.15 allows remote attackers to execute arbitrary code via a crafted PSD file that contains a large (1) width or (2) height value.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-2949"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/35246"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1487"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11276"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A5772"
    },
    {
      "type": "WEB",
      "url": "http://issues.foresightlinux.org/browse/FL-457"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/37804"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25677"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25949"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26044"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26132"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26215"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26384"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26575"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26939"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28114"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/secunia_research/2007-63/advisory"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200707-09.xml"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-103170-1"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-66-201320-1"
    },
    {
      "type": "WEB",
      "url": "http://svn.gnome.org/viewcvs/gimp?view=revision&revision=22798"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1335"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/399896"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:170"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_15_sr.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0513.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/24745"
    },
    {
      "type": "WEB",
      "url": "http://www.slackware.org/security/viewer.php?l=slackware-security&y=2007&m=slackware-security.360191"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-480-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/2421"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/4241"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-07-04T15:30:00Z"
  }
}